package com.sw.mes.yb.mcs.event;

import com.sw.mes.core.dto.RankResultDto;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * 圆棒评级结果下发事件
 * @Author: GaoXinJian
 * @Date: 2022-02-07 17:42
 */
@Getter
public class RankResultEvent  extends ApplicationEvent {
    RankResultDto rankResultDto;
    public RankResultEvent(Object source,RankResultDto rankResultDto) {
        super(source);
        if (rankResultDto==null){
            throw new IllegalArgumentException("null rankResultDto");
        }
        this.rankResultDto=rankResultDto;
    }
}
